import * as $dara from '@darabonba/typescript';
import { ExportWarningResponseBody } from "./ExportWarningResponseBody";
export declare class ExportWarningResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ExportWarningResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
